using System.ComponentModel;
using Hotline.Exams.Base;
using SqlSugar;

namespace Hotline.Exams.ExamManages
{
    /// <summary>
    /// 考试答案
    /// </summary>
    [Description("考试答案")]
    public class ExamAnswer : ExamBusinessEntity
    {
        /// <summary>
        /// 答案
        /// </summary>
        [SugarColumn(ColumnDescription = "答案")]
        [Description("答案")]
        public string? Answer { get; set; }

        /// <summary>
        /// 用户Id
        /// </summary>
        [SugarColumn(ColumnDescription = "用户Id")]
        [Description("用户Id")]
        public string UserId { get; set; }

        /// <summary>
        /// 考试Id
        /// </summary>
        [SugarColumn(ColumnDescription = "考试Id")]
        [Description("考试Id")]
        public string UserExamItemId { get; set; }
    }
}
